select ut.table_name,utc.comments as table_comment,ut.last_analyzed as update_time
from user_tables ut
         left join user_tab_comments utc on ut.table_name = utc.table_name



SELECT * FROM dba_tables dt
                  LEFT JOIN user_tab_comments utc on dt.table_name = utc.table_name
WHERE owner = 'FATEVERSE_LOG'


-- 使用CURRENT_SCHEMA函数获取当前模式
SELECT CURRENT_SCHEMA() AS current_schema;

-- 使用CURRENT_USER函数获取当前用户及其默认模式
SELECT CURRENT_USER AS current_user;




SELECT dt.table_name,utc.comments as table_comment FROM dba_tables dt
                                                            LEFT JOIN user_tab_comments utc on dt.table_name = utc.table_name
WHERE owner = 'FATEVERSE_LOG's



SELECT * FROM user_tables


select distinct utc.column_name,
                utc.table_name as remark,
                CONCAT(CONCAT(CONCAT(lower(utc.data_type),'('), utc.data_length),')') as column_type,
                utc.data_scale as column_scale,
                utc.column_id as sort,
                (case when uc.constraint_type = 'P' then '1' else '0' end) as pk ,
                ucc.comments as column_comment
from user_tab_columns utc
         inner join user_col_comments ucc on ucc.column_name = utc.column_name and ucc.table_name = utc.table_name
         left join user_cons_columns uccs on uccs.column_name = utc.column_name
         left join user_constraints uc on uc.constraint_name = uccs.constraint_name


select ut.table_name,utc.comments as table_comment,ut.last_analyzed as update_time
from user_tables ut
         left join user_tab_comments utc on ut.table_name = utc.table_name



select 1 from dual


